Subject: Business Air News Bulletin - May 16, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 17 May 2023 05:02:43 +0100

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Adone signs up MJets for Air Expo India

As the aviation industry in India continues to grow, events like Air Expo India 2023 are becoming increasingly important for showcasing the latest technology, products and services. Indamer MJets is right at the forefront.

Extra space available soon for customers of XLR

In addition to a large VIP lounge, dedicated crew facilities and private security screening, XLR Executive Jet Centre at Liverpool includes VIP arrivals and PETS (Pet Travel Scheme) clearance.

FCG Ops develops stations in Bulgaria

The company provides ground handling services at Sofia, Burgas and Varna airports, and the appointment of a country manager is the next step in providing better service.

Sun Air Jets re-certifies sustainability with NATA

Sun Air Jets has renewed its annual self-certification of the NATA Sustainability Standard for Aviation Businesses at its Van Nuys and Camarillo locations.

Hangar 1964 signals new dawn for Pentastar

Spanning tens of thousands of square feet and just a short distance from Pentastar's existing terminal at Oakland County, the new build will feature a private hangar, passenger lounge, offices and conference rooms.

Signature opens newly renovated Anchorage facility

The expansion of customised services for transpacific and great circle route traffic is a significant milestone for operators stopping in Anchorage.

To unsubscribe, please contact [email-masked].